Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 579992 (kde-apps-15.12.3) - KDE Applications 15.12.3 stabilisation
Summary: KDE Applications 15.12.3 stabilisation
Status: RESOLVED FIXED
Alias: kde-apps-15.12.3
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal enhancement (vote)
Assignee: Gentoo KDE team
URL:
Whiteboard:
Keywords: STABLEREQ
Depends on: 579366 579996 579998 580002 580170 kf-5.21.0-stable 581588 583106 583358
Blocks: 584762
  Show dependency tree
 
Reported: 2016-04-14 20:21 UTC by Michael Palimaka (kensington)
Modified: 2016-06-28 21:02 UTC (History)
7 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
kde-applications-15.12.3-stabilisation-v1 (kde-applications-15.12.3-stabilisation-v1,5.92 KB, text/plain)
2016-04-14 20:59 UTC, Michael Palimaka (kensington)
Details
kde-applications-15.12.3-stabilisation-v2 (kde-applications-15.12.3-stabilisation-v2,5.99 KB, text/plain)
2016-04-16 15:33 UTC, Michael Palimaka (kensington)
Details
kde-applications-15.12.3-stabilisation-v3 (kde-applications-15.12.3-stabilisation-v3,5.94 KB, text/plain)
2016-04-20 15:42 UTC, Michael Palimaka (kensington)
Details
kde-applications-15.12.3-stabilisation-v4 (kde-applications-15.12.txt,5.94 KB, text/plain)
2016-05-17 08:21 UTC, Johannes Huber
Details
kde-applications-15.12.3-stabilisation-v5 (kde-applications-15.12.txt,5.94 KB, text/plain)
2016-05-17 11:07 UTC, Johannes Huber
Details
kde-applications-15.12.3-stabilisation-v6 (kde-applications-15.12.txt,5.94 KB, text/plain)
2016-06-02 16:31 UTC, Johannes Huber
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Palimaka (kensington) gentoo-dev 2016-04-14 20:21:02 UTC
In preparation.
Comment 1 Michael Palimaka (kensington) gentoo-dev 2016-04-14 20:59:10 UTC
Created attachment 430510 [details]
kde-applications-15.12.3-stabilisation-v1
Comment 2 Johannes Huber gentoo-dev 2016-04-15 06:06:19 UTC
@Frank: Do you want to help to check the list?
Comment 3 Frank Krömmelbein 2016-04-16 00:13:28 UTC
(In reply to Johannes Huber from comment #2)
> @Frank: Do you want to help to check the list?
For such things you can always notify me.

1) too low version
-kde-apps/kde-l10n-15.12.3
+kde-apps/kde-l10n-15.12.3-r1

2) pkg move and rev bump of khelpcenter from this friday
+kde-apps/khelpcenter-5.5.5-r1

3) Missing:
+ kde-apps/kdetoys-meta-15.08.3

emerge of 220 packages is now runnig. Since not all kde*-meta packages are installed on this PC, I submit further missing items later.
Comment 4 Michael Palimaka (kensington) gentoo-dev 2016-04-16 15:33:47 UTC
Created attachment 430828 [details]
kde-applications-15.12.3-stabilisation-v2

Thanks a lot for your feedback Frank.
Comment 5 Michael Palimaka (kensington) gentoo-dev 2016-04-20 15:42:57 UTC
Created attachment 431376 [details]
kde-applications-15.12.3-stabilisation-v3

Adding kde-apps/kapptemplate-15.12.3-r1 since kde-frameworks-5.21.0 is prepared, and bumping kwallet-pam to latest version.
Comment 6 Johannes Huber gentoo-dev 2016-05-17 08:21:05 UTC
Created attachment 434496 [details]
kde-applications-15.12.3-stabilisation-v4

bug #583106 - kde-apps/kde-l10n-15.12.3-r2
Comment 7 Johannes Huber gentoo-dev 2016-05-17 11:07:52 UTC
Created attachment 434516 [details]
kde-applications-15.12.3-stabilisation-v5

Update kde-plasma/kwallet-pam, add latest: =kde-plasma/kwallet-pam-5.6.4-r1
Comment 8 Johannes Huber gentoo-dev 2016-05-17 12:05:44 UTC
Dear arch(es), please stabilize the attached list.
Comment 9 Andreas Sturmlechner gentoo-dev 2016-05-25 06:15:16 UTC
kde-apps/khelpcenter-5.5.5-r1 is missing yet for stabilisation, blocks kde4-l10n upgrade.
Comment 10 Johannes Huber gentoo-dev 2016-05-25 09:46:15 UTC
(In reply to Andreas Sturmlechner from comment #9)
> kde-apps/khelpcenter-5.5.5-r1 is missing yet for stabilisation, blocks
> kde4-l10n upgrade.

Thanks, fixed.

commit 8777a15fba2b8381022c46e0f66eed4c64affb87
Author: Johannes Huber <johu@gentoo.org>
Date:   Wed May 25 11:41:50 2016 +0200

    kde-apps/khelpcenter: 5.5.5-r1 amd64 stable
    
    Gentoo-bug: 579992
    
    Package-Manager: portage-2.3.0_rc1
Comment 11 Johannes Huber gentoo-dev 2016-06-02 16:31:09 UTC
Created attachment 436214 [details]
kde-applications-15.12.3-stabilisation-v6

bug #584264 kde-apps/kdegraphics-mobipocket-15.12.3 -> kde-apps/kdegraphics-mobipocket-15.12.3-r1
Comment 12 Michael Palimaka (kensington) gentoo-dev 2016-06-23 13:41:19 UTC
x86 stable
Comment 13 Michael Palimaka (kensington) gentoo-dev 2016-06-23 13:41:42 UTC
amd64 was done by zlogene
Comment 14 Lukas Polacek 2016-06-28 18:03:28 UTC
Were packages like kde-apps/mplayerthumbs or kde-apps/kdenetwork-filesharing intentionally omitted from the stabilization list? My system is trying to downgrade them to 4.14.3, because 15.08.3 has been removed and 15.12.3 is ~amd64.
Comment 15 Michael Palimaka (kensington) gentoo-dev 2016-06-28 21:02:53 UTC
(In reply to Lukas Polacek from comment #14)
> Were packages like kde-apps/mplayerthumbs or kde-apps/kdenetwork-filesharing
> intentionally omitted from the stabilization list? My system is trying to
> downgrade them to 4.14.3, because 15.08.3 has been removed and 15.12.3 is
> ~amd64.

mplatyerthumbs was omitted due to no changes upstream and it being slated for removal (but this should have happened before 15.08.3 was removed, sorry about that). kde-apps/kdenetwork-filesharing-15.12.3 is on the list and is stable.